DefaultPropertiesUnitTest (jTDS API)
Keywords: net.sourceforge.jtds.test.DefaultPropertiesUnitTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class DefaultPropertiesUnitTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.UnitTestBase
                  net.sourceforge.jtds.test.DefaultPropertiesUnitTest

All Implemented Interfaces:
  junit.framework.Test

public class DefaultPropertiesUnitTest
extends UnitTestBase

Unit tests for the `DefaultProperties` class.

Version:
  $Id: DefaultPropertiesUnitTest.java,v 1.9 2007/07/08 18:08:54 bheineman Exp $
Author:
  David D. Kilzer

Field Summary

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`DefaultPropertiesUnitTest(java.lang.String name)` Constructor.

Method Summary
`void` | `test_addDefaultPropertyIfNotSet_DefaultKeyNotSet()` Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String, java.util.Map)` does not set a default property if the `defaultKey` is not set.
`void` | `test_addDefaultPropertyIfNotSet_DefaultKeySet_PropertyAlreadySet()` Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String, java.util.Map)` does not set a default property if the property is already set.
`void` | `test_addDefaultPropertyIfNotSet_DefaultKeySet_PropertyNotSet()` Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String, java.util.Map)` sets a default property if the property is not already set.
`void` | `test_addDefaultPropertyIfNotSet_PropertyAlreadySet()` Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String)` does not set a default property if the property is already set.
`void` | `test_addDefaultPropertyIfNotSet_PropertyNotSet()` Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String)` sets a default property if the property is not already set.
`void` | `test_getNamedPipePath_DEFAULT()`
`void` | `test_getNamedPipePath_INVALID()`
`void` | `test_getNamedPipePath_SQLSERVER()`
`void` | `test_getNamedPipePath_SYBASE()`
`void` | `test_getServerType_intToString_Null()`
`void` | `test_getServerType_intToString_SQLSERVER()`
`void` | `test_getServerType_intToString_SYBASE()`
`void` | `test_getServerType_StringToInteger_Null()`
`void` | `test_getServerType_StringToInteger_SQLSERVER()`
`void` | `test_getServerType_StringToInteger_SYBASE()`
`void` | `test_getTdsVersion_StringToInteger_Null()`
`void` | `test_getTdsVersion_StringToInteger_TDS42()`
`void` | `test_getTdsVersion_StringToInteger_TDS50()`
`void` | `test_getTdsVersion_StringToInteger_TDS70()`
`void` | `test_getTdsVersion_StringToInteger_TDS80()`

Methods inherited from class net.sourceforge.jtds.test.UnitTestBase
`assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultPropertiesUnitTest

    public DefaultPropertiesUnitTest(java.lang.String name)

  Constructor.

Parameters:
  `name` - The name of the test.

Method Detail

### test_addDefaultPropertyIfNotSet_PropertyNotSet

    public void test_addDefaultPropertyIfNotSet_PropertyNotSet()

  Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String)` sets a default property if the property is not already set.

### test_addDefaultPropertyIfNotSet_PropertyAlreadySet

    public void test_addDefaultPropertyIfNotSet_PropertyAlreadySet()

  Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String)` does not set a default property if the property is already set.

### test_addDefaultPropertyIfNotSet_DefaultKeyNotSet

    public void test_addDefaultPropertyIfNotSet_DefaultKeyNotSet()

  Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String, java.util.Map)` does not set a default property if the `defaultKey` is not set.

### test_addDefaultPropertyIfNotSet_DefaultKeySet_PropertyNotSet

    public void test_addDefaultPropertyIfNotSet_DefaultKeySet_PropertyNotSet()

  Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String, java.util.Map)` sets a default property if the property is not already set.

### test_addDefaultPropertyIfNotSet_DefaultKeySet_PropertyAlreadySet

    public void test_addDefaultPropertyIfNotSet_DefaultKeySet_PropertyAlreadySet()

  Tests that `DefaultProperties.addDefaultPropertyIfNotSet(java.util.Properties, java.lang.String, java.lang.String, java.util.Map)` does not set a default property if the property is already set.

### test_getServerType_intToString_Null

    public void test_getServerType_intToString_Null()

### test_getServerType_intToString_SQLSERVER

    public void test_getServerType_intToString_SQLSERVER()

### test_getServerType_intToString_SYBASE

    public void test_getServerType_intToString_SYBASE()

### test_getServerType_StringToInteger_Null

    public void test_getServerType_StringToInteger_Null()

### test_getServerType_StringToInteger_SQLSERVER

    public void test_getServerType_StringToInteger_SQLSERVER()

### test_getServerType_StringToInteger_SYBASE

    public void test_getServerType_StringToInteger_SYBASE()

### test_getTdsVersion_StringToInteger_Null

    public void test_getTdsVersion_StringToInteger_Null()

### test_getTdsVersion_StringToInteger_TDS42

    public void test_getTdsVersion_StringToInteger_TDS42()

### test_getTdsVersion_StringToInteger_TDS50

    public void test_getTdsVersion_StringToInteger_TDS50()

### test_getTdsVersion_StringToInteger_TDS70

    public void test_getTdsVersion_StringToInteger_TDS70()

### test_getTdsVersion_StringToInteger_TDS80

    public void test_getTdsVersion_StringToInteger_TDS80()

### test_getNamedPipePath_DEFAULT

    public void test_getNamedPipePath_DEFAULT()

### test_getNamedPipePath_INVALID

    public void test_getNamedPipePath_INVALID()

### test_getNamedPipePath_SQLSERVER

    public void test_getNamedPipePath_SQLSERVER()

### test_getNamedPipePath_SYBASE

    public void test_getNamedPipePath_SYBASE()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009